* gph_fig11_6.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use lbw1.dta, clear
generate lwt130 = lwt-130
quietly: regress bwt lwt130 bn.smoke#bn.race, noconstant

twoway                                                                 ///
(function y = _b[0.smoke#1.race] + (x-130)*_b[lwt130], range(50 250))  ///
(function y = _b[0.smoke#2.race] + (x-130)*_b[lwt130], range(50 250))  ///
(function y = _b[0.smoke#3.race] + (x-130)*_b[lwt130], range(50 250))  ///
(function y = _b[1.smoke#1.race] + (x-130)*_b[lwt130], range(50 250))  ///
(function y = _b[1.smoke#2.race] + (x-130)*_b[lwt130], range(50 250))  ///
(function y = _b[1.smoke#3.race] + (x-130)*_b[lwt130], range(50 250))  ///
   ,                                                                   ///
   legend(order(1 "Nonsmoker, White" 2 "Nonsmoker, Black"              ///
   3 "Nonsmoker, Other" 4 "Smoker, White" 5 "Smoker, Black"            ///
   6 "Smoker, Other"))                                                 ///
   xtitle("Last prepregnancy weight (lb)")                             ///
   ytitle("Expected birthweight (grams)")                              ///
   ylabel(2000(500)4000) xline(130, lpattern(dash))                    ///
   xsize(4.5) ysize(2) aspectratio(0.7) scale(1.4) scheme(lean1)   

