* gph_fig12_3.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use compliance2.dta, clear
stset enddate, failure(died==1) enter(randate) origin(randate) ///
   scale(365.25) id(id)
quietly stcox b0.particip i.ranagr 

stcurve, survival                                   ///
   at1(ranagr=64 particip=0)                        ///
   at2(ranagr=66 particip=0)                        ///
   at3(ranagr=66 particip=1)                        ///
   lpattern(l "-##" "_##")                          ///
   plotregion(margin(l=0 t=0))                      ///
   xlabel(0(1)6) ylabel(, format(%04.2f))           ///
   title("")                                        ///
   xtitle("Years since randomization")              ///
   ytitle("Proportion died")                        ///
   ysize(2) xsize(4.5) aspectratio(0.7) scale(1.4)  ///
   scheme(lean1)      
